## node-log-driver 1.2.7%2Bgit%2B20180219%2Bbba1761737

=== debian/watch ===
version=4
# It is not recommended use fakeupstream. Please investigate more.
# Origin url: https://github.com/cainus/logdriver
# Take a look at https://wiki.debian.org/debian/watch/
# See also fakeupstream: http://anonscm.debian.org/viewvc/qa/trunk/cgi-bin/fakeupstream.cgi?view=markup
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*=// \
 http://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=npmjs/log-driver .*=log-driver-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## node-log-driver 1.2.7+git+20180219+bba1761737

=== Makefile ===
REPORTER = spec
test:
	@NODE_ENV=test ./node_modules/.bin/mocha -b --reporter $(REPORTER) --check-leaks

lint:
	./node_modules/.bin/jshint ./test ./index.js

test-cov:
	$(MAKE) lint
	@NODE_ENV=test ./node_modules/.bin/istanbul cover \
	./node_modules/mocha/bin/_mocha -- -R spec --check-leaks

test-codecov:
	echo TRAVIS_JOB_ID $(TRAVIS_JOB_ID)
	$(MAKE) test
	@NODE_ENV=test ./node_modules/.bin/istanbul cover \
	./node_modules/mocha/bin/_mocha --check-leaks --report lcovonly -- -R spec && \
	cat ./coverage/lcov.info | ./node_modules/codecov.io/bin/codecov.io.js

.PHONY: test

=== debian/changelog ===
node-log-driver (1.2.7+git+20180219+bba1761737-7) unstable; urgency=medium

  * Team upload
  * Fix test for sinon 8

 -- Xavier Guimard <yadd@debian.org>  Thu, 26 Dec 2019 08:36:29 +0100

node-log-driver (1.2.7+git+20180219+bba1761737-6) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest dependencies

 -- Xavier Guimard <yadd@debian.org>  Sun, 01 Dec 2019 22:18:48 +0100

node-log-driver (1.2.7+git+20180219+bba1761737-5) unstable; urgency=medium

  * Team upload
  * Back to unstable (node-sinon migration)

 -- Xavier Guimard <yadd@debian.org>  Tue, 19 Nov 2019 06:44:09 +0100

node-log-driver (1.2.7+git+20180219+bba1761737-4) experimental; urgency=medium

  * Team upload
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Update debian/watch to use npm registry
  * Add upstream/metadata
  * Require node-sinon ≥ 7.4.2
  * Fix test for sinon 7
  * Drop unneeded version constraints from (build) dependencies
  * Remove dpkg-dev from build dependencies

 -- Xavier Guimard <yadd@debian.org>  Thu, 14 Nov 2019 20:00:07 +0100

node-log-driver (1.2.7+git+20180219+bba1761737-3) unstable; urgency=medium

  * Move to /usr/share
  * Bump debhelper and policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Mon, 16 Sep 2019 22:11:43 +0200

node-log-driver (1.2.7+git+20180219+bba1761737-2) unstable; urgency=medium

  * Bump policy (no changes)
  * Move to salsa

 -- Bastien Roucariès <rouca@debian.org>  Mon, 21 May 2018 21:46:19 +0200

node-log-driver (1.2.7+git+20180219+bba1761737-1) unstable; urgency=medium

  * New upstream version
  * Bump compat and policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Thu, 22 Feb 2018 13:38:30 +0100

node-log-driver (1.2.5+2017301git8cfc1bf3f8f2fa38a3+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #873135).
  * Get git revision in order to get a LICENSE file.
  * Repack in order to avoid screen capture without copyright file.

 -- Bastien Roucariès <rouca@debian.org>  Thu, 24 Aug 2017 21:12:06 +0200

=== debian/control ===
Source: node-log-driver
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Bastien Roucariès <rouca@debian.org>
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , nodejs (>=10)
 , mocha (>= 4) <!nocheck>
 , node-sinon (>= 7.4.2) <!nocheck>
 , node-should <!nocheck>
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/js-team/node-log-driver
Vcs-Git: https://salsa.debian.org/js-team/node-log-driver.git
Homepage: https://github.com/cainus/logdriver
Rules-Requires-Root: no

Package: node-log-driver
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs (>= 10)
Description: simple logging framework in pure javascript
 This module implement logging to stdout and concatenate before
 every message the log level severity (configurable)
 date, time and local time zone. This modules allows ones
 to easily trace log event even.
 .
 In all the cases logs are redirected to stdout in order to allows one
 to pipe output to irc or logger  program
 .
 This modules is needed by tools like coveralls, a coverage tools
 for javascript program.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(info Upstream makefile not functional do nothing)

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	mocha -R spec
else
	@echo '**********************************************************'
	@echo 'Skip test suite                                           '
	@echo '**********************************************************'
endif

=== debian/tests/control ===
Tests: require
Depends: node-log-driver, nodejs (>= 6)

Tests: runtestsuite
Depends: node-log-driver
 , mocha (>= 4)
 , node-sinon (>= 7.4.2)
 , node-should (>= 1.1.0)

=== debian/watch ===
version=4
# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,pgpmode=none" \
 https://registry.npmjs.org/log-driver https://registry.npmjs.org/log-driver/-/log-driver-(\d[\d\.]*)@ARCHIVE_EXT@
